% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/api.R
\name{.hc}
\alias{.hc}
\alias{.api}
\alias{API}
\alias{last.request}
\title{API-related functions}
\usage{
.hc(
  method = "GET",
  path,
  ...,
  headers = NULL,
  handle = NULL,
  token = Sys.getenv("CANVAS_API_TOKEN"),
  api.url = Sys.getenv("CANVAS_API_DOMAIN")
)

.api(path, ..., max = 100L, autopage = TRUE, flatten = TRUE, method = "GET")

last.request()
}
\arguments{
\item{method}{string, HTTP request method}

\item{path}{string, API path (e.g. \code{"/courses"})}

\item{...}{low-level arguments passed to \code{.hc}}

\item{max}{integer, maximum number of items to retrieve per request. Ignored if \code{autopage=NA}, otherwise maps to the \code{pre_page=} query string.}

\item{autopage}{logical, if \code{TRUE} the multi-page results are automatically collected and merged into one. If \code{FALSE} then only a signle request is done but \code{max} is respected. If \code{NA} then \code{path} is sent-as is without any attempt to manage pagination.}

\item{flatten}{logical, if \code{TRUE} then nested tables are merged into one final one. Note that auto-pagination requires \code{flatten=TRUE} if there are nested tables as it is not possible to merge nested tables from multiple pages.}
}
\description{
\code{.hc} is the main function performing Canvas LMS REST requests. It returns the \code{httr::response()} object. The result is also stored in an internal variable which can be retrieved with \code{last.result()}.

\code{last.request} returns the last Canvas HTTPS request and result. Mostly useful for debugging.
}
