% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/files.R
\name{files}
\alias{files}
\alias{file.upload}
\alias{file.delete}
\alias{folders}
\title{Manage files}
\usage{
files(folder, course, ...)

file.upload(file, name = basename(file), folder, mime.type = "text/plain")

file.delete(id)

folders(course, ...)
}
\arguments{
\item{folder}{integer, \code{id} of the folder to place the file into}

\item{course}{\code{id} of the course}

\item{...}{additional argument for \code{\link{.api}}}

\item{file}{string, path to the file to upload}

\item{name}{string, name of the file as it will appear in Cavnas}

\item{mime.type}{string, mime-type of the file}

\item{id}{integer, identifier of the file}
}
\description{
\code{files} lists all files in a course or folder. Exactly one of \code{course} or \code{folder} has to be specified.

\code{file.upload} uploads a file into Canvas. It is a two-stage process where the metadata is posted first and then the file is uploaded. When successful it returns the newly created file entry.

\code{file.delete} removes a file

\code{folder} lists all folders. Note that the output is a list of all folders, the hierarchical structure is achieved by linkning \code{parent_folder_id} and \code{id}. The root folder has the \code{parent_folder_id} of \code{NA}.
}
