% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pages.R
\name{pages}
\alias{pages}
\alias{page.edit}
\alias{page.create}
\alias{page}
\title{Manage Wiki Pages}
\usage{
pages(course, ...)

page.edit(
  course,
  page,
  content,
  title,
  editing_roles,
  notify,
  published,
  front
)

page.create(course, title, content, editing_roles, notify, published, front)

page(course, page)
}
\arguments{
\item{course}{integer, mandatory, course-id.}

\item{...}{additional arguments for \code{\link{.api}}}

\item{page}{integer or string, mandatory, either the \code{id} or the name of the page (as defined by \code{url} entry of the \code{pages()} data frame).}

\item{content}{string, new content}

\item{title}{string, title}

\item{editing_roles}{character vector, roles which are allowed to edit the page. Valid roles are \code{"teachers"}, \code{"students"}, \code{"members"} and \code{"public"}.}

\item{notify}{logical, if \code{TRUE} notifications are sent on modification.}

\item{published}{logical, if \code{TRUE} the page is published}

\item{front}{logical, if \code{TRUE} set the page as front page}
}
\description{
\code{pages} lists all pages in a course.

\code{page.edit} modifies an existing wiki page - content and/or attributes. Only those components that are specified will be changed, all argumebts apart for \code{course} and \code{page} are optional.

\code{page.create} creates a new Wiki page

\code{page} retrieves a page, both content (in the \code{body} element) and attributes.
}
